package com.gh.gamecenter.adapter.viewholder;

import com.gh.gamecenter.common.base.BaseRecyclerViewHolder;
import com.gh.gamecenter.common.callback.OnListClickListener;
import com.gh.gamecenter.databinding.NewsTextItemBinding;
import com.gh.gamecenter.entity.NewsEntity;

/**
 * Created by LGT on 2016/8/17.
 * viewholder
 */
public class NewsTextViewHolder extends BaseRecyclerViewHolder<NewsEntity> {
    public NewsTextItemBinding binding;

    public NewsTextViewHolder(NewsTextItemBinding binding) {
        super(binding.getRoot());
        this.binding = binding;
    }

    public NewsTextViewHolder(NewsTextItemBinding binding, OnListClickListener listClickListener) {
        super(binding.getRoot(), listClickListener);
        this.binding = binding;
        this.binding.getRoot().setOnClickListener(this);
    }
}
